0 Replies Latest reply on Dec 19, 2014 12:10 PM by Sara N1

    java 6 for CS5.1

    Sara N1

      I bought a new Mac running Yosemite and installed the Photoshop CS5.1 that I had purchased several years ago.  I have tried to open it and it tells me I need to install Java 6 before I can open it. My Java is up to date with Java 8 but that doesn't seem to matter to Photoshop.  What can I do to make this work?